Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5117)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Dust/phys_output_write_spl_mod.F90	(revision 5118)
@@ -96,288 +95,288 @@
     USE control_mod, ONLY: day_step, iphysiq
     USE phys_output_ctrlout_mod, ONLY: o_phis, o_aire, is_ter, is_lic, is_oce, &
-         is_ave, is_sic, o_contfracATM, o_contfracOR, &
-         o_aireTER, o_flat, o_slp, o_tsol, &
-         o_t2m, o_t2m_min, o_t2m_max, &
-         o_t2m_min_mon, o_t2m_max_mon, &
-         o_q2m, o_ustar, o_u10m, o_v10m, &
-         o_wind10m, o_wind10max, o_gusts, o_sicf, &
-         o_psol, o_mass, o_qsurf, o_qsol, &
-         o_precip, o_ndayrain, o_plul, o_pluc, &
-         o_snow, o_msnow, o_fsnow, o_evap, &
-         o_tops, o_tops0, o_topl, o_topl0, &
-         o_SWupTOA, o_SWupTOAclr, o_SWdnTOA, &
-         o_SWdnTOAclr, o_nettop, o_SWup200, &
-         o_SWup200clr, o_SWdn200, o_SWdn200clr, &
-         o_LWup200, o_LWup200clr, o_LWdn200, &
-         o_LWdn200clr, o_sols, o_sols0, &
-         o_soll, o_radsol, o_soll0, o_SWupSFC, &
-         o_SWupSFCclr, o_SWdnSFC, o_SWdnSFCclr, &
-         o_LWupSFC, o_LWdnSFC, o_LWupSFCclr, &
-         o_LWdnSFCclr, o_bils, o_bils_diss, &
-         o_bils_ec,o_bils_ech, o_bils_tke, o_bils_kinetic, &
-         o_bils_latent, o_bils_enthalp, o_sens, &
-         o_fder, o_ffonte, o_fqcalving, o_fqfonte, &
-         o_taux, o_tauy, o_snowsrf, o_qsnow, &
-         o_snowhgt, o_toice, o_sissnow, o_runoff, &
-         o_albslw3, o_pourc_srf, o_fract_srf, &
-         o_taux_srf, o_tauy_srf, o_tsol_srf, &
-         o_evappot_srf, o_ustar_srf, o_u10m_srf, &
-         o_v10m_srf, o_t2m_srf, o_evap_srf, &
-         o_sens_srf, o_lat_srf, o_flw_srf, &
-         o_fsw_srf, o_wbils_srf, o_wbilo_srf, &
-         o_tke_srf, o_tke_max_srf,o_dltpbltke_srf, o_wstar, &
-         o_cdrm, o_cdrh, o_cldl, o_cldm, o_cldh, &
-         o_cldt, o_JrNt, o_cldljn, o_cldmjn, &
-         o_cldhjn, o_cldtjn, o_cldq, o_lwp, o_iwp, &
-         o_ue, o_ve, o_uq, o_vq, o_cape, o_pbase, &
-         o_ptop, o_fbase, o_plcl, o_plfc, &
-         o_wbeff, o_cape_max, o_upwd, o_Ma, &
-         o_dnwd, o_dnwd0, o_ftime_con, o_mc, &
-         o_prw, o_s_pblh, o_s_pblt, o_s_lcl, &
-         o_s_therm, o_uSTDlevs, o_vSTDlevs, &
-         o_wSTDlevs, o_zSTDlevs, o_qSTDlevs, &
-         o_tSTDlevs, epsfra, o_t_oce_sic, &
-         o_ale_bl, o_alp_bl, o_ale_wk, o_alp_wk, &
-         o_ale, o_alp, o_cin, o_WAPE, o_wake_h, &
-         o_wake_s, o_wake_deltat, o_wake_deltaq, &
-         o_wake_omg, o_dtwak, o_dqwak, o_Vprecip, &
-         o_ftd, o_fqd, o_wdtrainA, o_wdtrainM, &
-         o_n2, o_s2, o_proba_notrig, &
-         o_random_notrig, o_ale_bl_stat, &
-         o_ale_bl_trig, o_alp_bl_det, &
-         o_alp_bl_fluct_m, o_alp_bl_fluct_tke, &
-         o_alp_bl_conv, o_alp_bl_stat, &
-         o_slab_qflux, o_tslab, &
-         !o_slab_bils, &
-         o_slab_bilg, o_slab_sic, o_slab_tice, &
-         o_weakinv, o_dthmin, o_cldtau, &
-         o_cldemi, o_pr_con_l, o_pr_con_i, &
-         o_pr_lsc_l, o_pr_lsc_i, o_re, o_fl, &
-         o_rh2m, &
-         !o_rh2m_min, o_rh2m_max, &
-         o_qsat2m, o_tpot, o_tpote, o_SWnetOR, &
-         o_LWdownOR, o_snowl, &
-         o_solldown, o_dtsvdfo, o_dtsvdft, &
-         o_dtsvdfg, o_dtsvdfi, o_z0m, o_z0h, o_od550aer, &
-         o_od865aer, o_abs550aer, o_od550lt1aer, &
-         o_sconcso4, o_sconcno3, o_sconcoa, o_sconcbc, &
-         o_sconcss, o_sconcdust, o_concso4, o_concno3, &
-         o_concoa, o_concbc, o_concss, o_concdust, &
-         o_loadso4, o_loadoa, o_loadbc, o_loadss, &
-         o_loaddust, o_tausumaero, o_tausumaero_lw, &
-         o_topswad, o_topswad0, o_solswad, o_solswad0, &
-         o_toplwad, o_toplwad0, o_sollwad, o_sollwad0, &
-         o_swtoaas_nat, o_swsrfas_nat, &
-         o_swtoacs_nat, o_swtoaas_ant, &
-         o_swsrfas_ant, o_swtoacs_ant, &
-         o_swsrfcs_ant, o_swtoacf_nat, &
-         o_swsrfcf_nat, o_swtoacf_ant, &
-         o_swsrfcs_nat, o_swsrfcf_ant, &
-         o_swtoacf_zero, o_swsrfcf_zero, &
-         o_topswai, o_solswai, o_scdnc, &
-         o_cldncl, o_reffclws, o_reffclwc, &
-         o_cldnvi, o_lcc, o_lcc3d, o_lcc3dcon, &
-         o_lcc3dstra, o_reffclwtop, o_ec550aer, &
-         o_lwcon, o_iwcon, o_temp, o_theta, &
-         o_ovapinit, o_ovap, o_oliq, o_geop, &
-         o_vitu, o_vitv, o_vitw, o_pres, o_paprs, &
-         o_zfull, o_zhalf, o_rneb, o_rnebjn, o_rnebcon, &
-         o_rnebls, o_rhum, o_ozone, o_ozone_light, &
-         o_dtphy, o_dqphy, o_albe_srf, o_z0m_srf, o_z0h_srf, &
-         o_ages_srf, o_snow_srf, o_alb1, o_alb2, o_tke, &
-         o_tke_max, o_kz, o_kz_max, o_clwcon, &
-         o_dtdyn, o_dqdyn, o_dudyn, o_dvdyn, &
-         o_dtcon, o_tntc, o_ducon, o_dvcon, &
-         o_dqcon, o_tnhusc, o_tnhusc, o_dtlsc, &
-         o_dtlschr, o_dqlsc, o_beta_prec, &
-         o_dtlscth, o_dtlscst, o_dqlscth, &
-         o_dqlscst, o_plulth, o_plulst, &
-         o_ptconvth, o_lmaxth, o_dtvdf, &
-         o_dtdis, o_dqvdf, o_dteva, o_dqeva, &
-         o_ptconv, o_ratqs, o_dtthe, & 
-         o_duthe, o_dvthe, o_ftime_th, &
-         o_f_th, o_e_th, o_w_th, o_q_th, &
-         o_a_th, o_d_th, o_f0_th, o_zmax_th, &
-         o_dqthe, o_dtajs, o_dqajs, o_dtswr, &
-         o_dtsw0, o_dtlwr, o_dtlw0, o_dtec, &
-         o_duvdf, o_dvvdf, o_duoro, o_dvoro, &
-         o_dtoro, o_dulif, o_dvlif, o_dtlif, &
- !       o_duhin, o_dvhin, o_dthin, &
-         o_dqch4, o_rsu, &
-         o_rsd, o_rlu, o_rld, o_rsucs, o_rsdcs, &
-         o_rlucs, o_rldcs, o_tnt, o_tntr, &
-         o_tntscpbl, o_tnhus, o_tnhusscpbl, &
-         o_evu, o_h2o, o_mcd, o_dmc, o_ref_liq, &
-         o_ref_ice, o_rsut4co2, o_rlut4co2, &
-         o_rsutcs4co2, o_rlutcs4co2, o_rsu4co2, &
-         o_rlu4co2, o_rsucs4co2, o_rlucs4co2, &
-         o_rsd4co2, o_rld4co2, o_rsdcs4co2, &
-         o_rldcs4co2, o_tnondef, o_ta, o_zg, &
-         o_hus, o_hur, o_ua, o_va, o_wap, &
-         o_psbg, o_tro3, o_tro3_daylight, &
-         o_uxv, o_vxq, o_vxT, o_wxq, o_vxphi, &
-         o_wxT, o_uxu, o_vxv, o_TxT, o_trac, &
-         o_dtr_vdf, o_dtr_the, o_dtr_con, &
-         o_dtr_lessi_impa, o_dtr_lessi_nucl, &
-         o_dtr_insc, o_dtr_bcscav, o_dtr_evapls, &
-!        o_dtr_ls, o_dtr_dyn, o_dtr_cl, o_dtr_trsp, o_dtr_sscav, &
-         o_dtr_ls, o_dtr_trsp, o_dtr_sscav, &
-         o_dtr_sat, o_dtr_uscav, o_trac_cum, o_du_gwd_rando, o_dv_gwd_rando, &
-!JE20150620<<
-!         o_vstr_gwd_rando
-         o_vstr_gwd_rando, &
-         o_m1dflux,o_m2dflux,o_m3dflux, &
-         o_taue550, &
-         o_taue670,o_taue865, &
-         o_taue550_tr2, o_taue670_tr2, o_taue865_tr2, &
-         o_taue550_ss,o_taue670_ss, o_taue865_ss, &
-         o_taue550_dust, o_taue670_dust, o_taue865_dust, &
-         o_taue550_dustsco, o_taue670_dustsco, o_taue865_dustsco, &
-         o_taue550_aqua, o_taue670_aqua, o_taue865_aqua, &
-         o_taue550_terra, o_taue670_terra, o_taue865_terra, &
-         o_taue550_fine_aqua     ,         o_taue670_fine_aqua     ,  &
-         o_taue865_fine_aqua     ,         o_taue550_coss_aqua      ,  &
-         o_taue670_coss_aqua      ,         o_taue865_coss_aqua      ,  &
-         o_taue550_codu_aqua    ,         o_taue670_codu_aqua    ,  &
-         o_taue865_codu_aqua    ,         o_taue670_scdu_aqua ,  &
-         o_taue550_scdu_aqua ,         o_taue865_scdu_aqua ,  &
-         o_taue550_fine_terra     ,         o_taue670_fine_terra     ,&
-         o_taue865_fine_terra     ,         o_taue550_coss_terra      ,&
-         o_taue670_coss_terra      ,         o_taue865_coss_terra      ,&
-         o_taue550_codu_terra    ,         o_taue670_codu_terra    ,&
-         o_taue865_codu_terra    ,         o_taue670_scdu_terra ,&
-         o_taue550_scdu_terra ,         o_taue865_scdu_terra ,&
-         o_trm01,o_trm02,o_trm03,o_trm04,o_trm05,&
-         o_sconc01,o_sconc02,o_sconc03,o_sconc04,o_sconc05, &
-         o_flux01,o_flux02,o_flux03,o_flux04,o_flux05, &
-         o_ds01,o_ds02,o_ds03,o_ds04,o_ds05, &
-         o_dh01,o_dh02,o_dh03,o_dh04,o_dh05, &
-         o_dtrconv01,o_dtrconv02,o_dtrconv03,o_dtrconv04,o_dtrconv05, &
-         o_dtherm01,o_dtherm02,o_dtherm03,o_dtherm04,o_dtherm05, &
-         o_dhkecv01,o_dhkecv02,o_dhkecv03,o_dhkecv04,o_dhkecv05, &
-         o_d_tr_ds01,o_d_tr_ds02,o_d_tr_ds03,o_d_tr_ds04,o_d_tr_ds05, &
-         o_dhkelsc01,o_dhkelsc02,o_dhkelsc03,o_dhkelsc04,o_dhkelsc05, &
-         o_d_tr_sat01,o_d_tr_cv01,o_d_tr_cv02,o_d_tr_cv03,o_d_tr_cv04,o_d_tr_cv05,&
-         o_d_tr_trsp01,o_d_tr_trsp02,o_d_tr_trsp03,o_d_tr_trsp04,o_d_tr_trsp05,&
-         o_d_tr_sscav01,o_d_tr_sscav02,o_d_tr_sscav03,o_d_tr_sscav04,o_d_tr_sscav05,&
-         o_d_tr_sat02,o_d_tr_sat03,o_d_tr_sat04,o_d_tr_sat05,  &
-         o_d_tr_uscav01,o_d_tr_uscav02,o_d_tr_uscav03,o_d_tr_uscav04,o_d_tr_uscav05,&
-         o_d_tr_insc01,o_d_tr_insc02,o_d_tr_insc03,o_d_tr_insc04,o_d_tr_insc05,&
-         o_d_tr_bcscav01,o_d_tr_bcscav02,o_d_tr_bcscav03,o_d_tr_bcscav04,o_d_tr_bcscav05,&
-         o_d_tr_evapls01,o_d_tr_evapls02,o_d_tr_evapls03,o_d_tr_evapls04,o_d_tr_evapls05,&
-         o_d_tr_ls01,o_d_tr_ls02,o_d_tr_ls03,o_d_tr_ls04,o_d_tr_ls05,&
-         o_d_tr_dyn01,o_d_tr_dyn02,o_d_tr_dyn03,o_d_tr_dyn04,o_d_tr_dyn05,&
-         o_d_tr_cl01,o_d_tr_cl02,o_d_tr_cl03,o_d_tr_cl04,o_d_tr_cl05,&
-         o_d_tr_th01,o_d_tr_th02,o_d_tr_th03,o_d_tr_th04,o_d_tr_th05,&
-         o_sed_ss,o_sed_dust,o_sed_dustsco,o_g2p_gas,o_g2p_aer, &
-         o_sed_ss3D,o_sed_dust3D,o_sed_dustsco3D, &
-         o_fluxbb, &
-         o_fluxff    ,o_fluxbcbb  ,o_fluxbcff  ,o_fluxbcnff , &
-         o_fluxbcba  ,o_fluxbc    ,o_fluxombb  ,o_fluxomff  , &
-         o_fluxomnff ,o_fluxomba  ,o_fluxomnat ,o_fluxom    , &
-         o_fluxh2sff ,o_fluxh2snff,o_fluxso2ff ,o_fluxso2nff, &
-         o_fluxso2bb ,o_fluxso2vol,o_fluxso2ba ,o_fluxso2   , &
-         o_fluxso4ff ,o_fluxso4nff,o_fluxso4bb ,o_fluxso4ba , &
-         o_fluxso4   ,o_fluxdms   ,o_fluxh2sbio,o_fluxdustec, &
-         o_fluxddfine,o_fluxddcoa ,o_fluxddsco ,o_fluxdd    ,&
-         o_fluxssfine,o_fluxsscoa, o_fluxss, &
-         o_flux_sparam_ind,o_flux_sparam_bb, &
-         o_flux_sparam_ff ,o_flux_sparam_ddfine  ,o_flux_sparam_ddcoa, &
-         o_flux_sparam_ddsco,o_flux_sparam_ssfine,o_flux_sparam_sscoa, &
-         o_u10m_ss,o_v10m_ss
-
-!JE20150620>>
+            is_ave, is_sic, o_contfracATM, o_contfracOR, &
+            o_aireTER, o_flat, o_slp, o_tsol, &
+            o_t2m, o_t2m_min, o_t2m_max, &
+            o_t2m_min_mon, o_t2m_max_mon, &
+            o_q2m, o_ustar, o_u10m, o_v10m, &
+            o_wind10m, o_wind10max, o_gusts, o_sicf, &
+            o_psol, o_mass, o_qsurf, o_qsol, &
+            o_precip, o_ndayrain, o_plul, o_pluc, &
+            o_snow, o_msnow, o_fsnow, o_evap, &
+            o_tops, o_tops0, o_topl, o_topl0, &
+            o_SWupTOA, o_SWupTOAclr, o_SWdnTOA, &
+            o_SWdnTOAclr, o_nettop, o_SWup200, &
+            o_SWup200clr, o_SWdn200, o_SWdn200clr, &
+            o_LWup200, o_LWup200clr, o_LWdn200, &
+            o_LWdn200clr, o_sols, o_sols0, &
+            o_soll, o_radsol, o_soll0, o_SWupSFC, &
+            o_SWupSFCclr, o_SWdnSFC, o_SWdnSFCclr, &
+            o_LWupSFC, o_LWdnSFC, o_LWupSFCclr, &
+            o_LWdnSFCclr, o_bils, o_bils_diss, &
+            o_bils_ec, o_bils_ech, o_bils_tke, o_bils_kinetic, &
+            o_bils_latent, o_bils_enthalp, o_sens, &
+            o_fder, o_ffonte, o_fqcalving, o_fqfonte, &
+            o_taux, o_tauy, o_snowsrf, o_qsnow, &
+            o_snowhgt, o_toice, o_sissnow, o_runoff, &
+            o_albslw3, o_pourc_srf, o_fract_srf, &
+            o_taux_srf, o_tauy_srf, o_tsol_srf, &
+            o_evappot_srf, o_ustar_srf, o_u10m_srf, &
+            o_v10m_srf, o_t2m_srf, o_evap_srf, &
+            o_sens_srf, o_lat_srf, o_flw_srf, &
+            o_fsw_srf, o_wbils_srf, o_wbilo_srf, &
+            o_tke_srf, o_tke_max_srf, o_dltpbltke_srf, o_wstar, &
+            o_cdrm, o_cdrh, o_cldl, o_cldm, o_cldh, &
+            o_cldt, o_JrNt, o_cldljn, o_cldmjn, &
+            o_cldhjn, o_cldtjn, o_cldq, o_lwp, o_iwp, &
+            o_ue, o_ve, o_uq, o_vq, o_cape, o_pbase, &
+            o_ptop, o_fbase, o_plcl, o_plfc, &
+            o_wbeff, o_cape_max, o_upwd, o_Ma, &
+            o_dnwd, o_dnwd0, o_ftime_con, o_mc, &
+            o_prw, o_s_pblh, o_s_pblt, o_s_lcl, &
+            o_s_therm, o_uSTDlevs, o_vSTDlevs, &
+            o_wSTDlevs, o_zSTDlevs, o_qSTDlevs, &
+            o_tSTDlevs, epsfra, o_t_oce_sic, &
+            o_ale_bl, o_alp_bl, o_ale_wk, o_alp_wk, &
+            o_ale, o_alp, o_cin, o_WAPE, o_wake_h, &
+            o_wake_s, o_wake_deltat, o_wake_deltaq, &
+            o_wake_omg, o_dtwak, o_dqwak, o_Vprecip, &
+            o_ftd, o_fqd, o_wdtrainA, o_wdtrainM, &
+            o_n2, o_s2, o_proba_notrig, &
+            o_random_notrig, o_ale_bl_stat, &
+            o_ale_bl_trig, o_alp_bl_det, &
+            o_alp_bl_fluct_m, o_alp_bl_fluct_tke, &
+            o_alp_bl_conv, o_alp_bl_stat, &
+            o_slab_qflux, o_tslab, &
+            !o_slab_bils, &
+            o_slab_bilg, o_slab_sic, o_slab_tice, &
+            o_weakinv, o_dthmin, o_cldtau, &
+            o_cldemi, o_pr_con_l, o_pr_con_i, &
+            o_pr_lsc_l, o_pr_lsc_i, o_re, o_fl, &
+            o_rh2m, &
+            !o_rh2m_min, o_rh2m_max, &
+            o_qsat2m, o_tpot, o_tpote, o_SWnetOR, &
+            o_LWdownOR, o_snowl, &
+            o_solldown, o_dtsvdfo, o_dtsvdft, &
+            o_dtsvdfg, o_dtsvdfi, o_z0m, o_z0h, o_od550aer, &
+            o_od865aer, o_abs550aer, o_od550lt1aer, &
+            o_sconcso4, o_sconcno3, o_sconcoa, o_sconcbc, &
+            o_sconcss, o_sconcdust, o_concso4, o_concno3, &
+            o_concoa, o_concbc, o_concss, o_concdust, &
+            o_loadso4, o_loadoa, o_loadbc, o_loadss, &
+            o_loaddust, o_tausumaero, o_tausumaero_lw, &
+            o_topswad, o_topswad0, o_solswad, o_solswad0, &
+            o_toplwad, o_toplwad0, o_sollwad, o_sollwad0, &
+            o_swtoaas_nat, o_swsrfas_nat, &
+            o_swtoacs_nat, o_swtoaas_ant, &
+            o_swsrfas_ant, o_swtoacs_ant, &
+            o_swsrfcs_ant, o_swtoacf_nat, &
+            o_swsrfcf_nat, o_swtoacf_ant, &
+            o_swsrfcs_nat, o_swsrfcf_ant, &
+            o_swtoacf_zero, o_swsrfcf_zero, &
+            o_topswai, o_solswai, o_scdnc, &
+            o_cldncl, o_reffclws, o_reffclwc, &
+            o_cldnvi, o_lcc, o_lcc3d, o_lcc3dcon, &
+            o_lcc3dstra, o_reffclwtop, o_ec550aer, &
+            o_lwcon, o_iwcon, o_temp, o_theta, &
+            o_ovapinit, o_ovap, o_oliq, o_geop, &
+            o_vitu, o_vitv, o_vitw, o_pres, o_paprs, &
+            o_zfull, o_zhalf, o_rneb, o_rnebjn, o_rnebcon, &
+            o_rnebls, o_rhum, o_ozone, o_ozone_light, &
+            o_dtphy, o_dqphy, o_albe_srf, o_z0m_srf, o_z0h_srf, &
+            o_ages_srf, o_snow_srf, o_alb1, o_alb2, o_tke, &
+            o_tke_max, o_kz, o_kz_max, o_clwcon, &
+            o_dtdyn, o_dqdyn, o_dudyn, o_dvdyn, &
+            o_dtcon, o_tntc, o_ducon, o_dvcon, &
+            o_dqcon, o_tnhusc, o_tnhusc, o_dtlsc, &
+            o_dtlschr, o_dqlsc, o_beta_prec, &
+            o_dtlscth, o_dtlscst, o_dqlscth, &
+            o_dqlscst, o_plulth, o_plulst, &
+            o_ptconvth, o_lmaxth, o_dtvdf, &
+            o_dtdis, o_dqvdf, o_dteva, o_dqeva, &
+            o_ptconv, o_ratqs, o_dtthe, &
+            o_duthe, o_dvthe, o_ftime_th, &
+            o_f_th, o_e_th, o_w_th, o_q_th, &
+            o_a_th, o_d_th, o_f0_th, o_zmax_th, &
+            o_dqthe, o_dtajs, o_dqajs, o_dtswr, &
+            o_dtsw0, o_dtlwr, o_dtlw0, o_dtec, &
+            o_duvdf, o_dvvdf, o_duoro, o_dvoro, &
+            o_dtoro, o_dulif, o_dvlif, o_dtlif, &
+            !       o_duhin, o_dvhin, o_dthin, &
+            o_dqch4, o_rsu, &
+            o_rsd, o_rlu, o_rld, o_rsucs, o_rsdcs, &
+            o_rlucs, o_rldcs, o_tnt, o_tntr, &
+            o_tntscpbl, o_tnhus, o_tnhusscpbl, &
+            o_evu, o_h2o, o_mcd, o_dmc, o_ref_liq, &
+            o_ref_ice, o_rsut4co2, o_rlut4co2, &
+            o_rsutcs4co2, o_rlutcs4co2, o_rsu4co2, &
+            o_rlu4co2, o_rsucs4co2, o_rlucs4co2, &
+            o_rsd4co2, o_rld4co2, o_rsdcs4co2, &
+            o_rldcs4co2, o_tnondef, o_ta, o_zg, &
+            o_hus, o_hur, o_ua, o_va, o_wap, &
+            o_psbg, o_tro3, o_tro3_daylight, &
+            o_uxv, o_vxq, o_vxT, o_wxq, o_vxphi, &
+            o_wxT, o_uxu, o_vxv, o_TxT, o_trac, &
+            o_dtr_vdf, o_dtr_the, o_dtr_con, &
+            o_dtr_lessi_impa, o_dtr_lessi_nucl, &
+            o_dtr_insc, o_dtr_bcscav, o_dtr_evapls, &
+            !        o_dtr_ls, o_dtr_dyn, o_dtr_cl, o_dtr_trsp, o_dtr_sscav, &
+            o_dtr_ls, o_dtr_trsp, o_dtr_sscav, &
+            o_dtr_sat, o_dtr_uscav, o_trac_cum, o_du_gwd_rando, o_dv_gwd_rando, &
+            !JE20150620<<
+            !         o_vstr_gwd_rando
+            o_vstr_gwd_rando, &
+            o_m1dflux, o_m2dflux, o_m3dflux, &
+            o_taue550, &
+            o_taue670, o_taue865, &
+            o_taue550_tr2, o_taue670_tr2, o_taue865_tr2, &
+            o_taue550_ss, o_taue670_ss, o_taue865_ss, &
+            o_taue550_dust, o_taue670_dust, o_taue865_dust, &
+            o_taue550_dustsco, o_taue670_dustsco, o_taue865_dustsco, &
+            o_taue550_aqua, o_taue670_aqua, o_taue865_aqua, &
+            o_taue550_terra, o_taue670_terra, o_taue865_terra, &
+            o_taue550_fine_aqua, o_taue670_fine_aqua, &
+            o_taue865_fine_aqua, o_taue550_coss_aqua, &
+            o_taue670_coss_aqua, o_taue865_coss_aqua, &
+            o_taue550_codu_aqua, o_taue670_codu_aqua, &
+            o_taue865_codu_aqua, o_taue670_scdu_aqua, &
+            o_taue550_scdu_aqua, o_taue865_scdu_aqua, &
+            o_taue550_fine_terra, o_taue670_fine_terra, &
+            o_taue865_fine_terra, o_taue550_coss_terra, &
+            o_taue670_coss_terra, o_taue865_coss_terra, &
+            o_taue550_codu_terra, o_taue670_codu_terra, &
+            o_taue865_codu_terra, o_taue670_scdu_terra, &
+            o_taue550_scdu_terra, o_taue865_scdu_terra, &
+            o_trm01, o_trm02, o_trm03, o_trm04, o_trm05, &
+            o_sconc01, o_sconc02, o_sconc03, o_sconc04, o_sconc05, &
+            o_flux01, o_flux02, o_flux03, o_flux04, o_flux05, &
+            o_ds01, o_ds02, o_ds03, o_ds04, o_ds05, &
+            o_dh01, o_dh02, o_dh03, o_dh04, o_dh05, &
+            o_dtrconv01, o_dtrconv02, o_dtrconv03, o_dtrconv04, o_dtrconv05, &
+            o_dtherm01, o_dtherm02, o_dtherm03, o_dtherm04, o_dtherm05, &
+            o_dhkecv01, o_dhkecv02, o_dhkecv03, o_dhkecv04, o_dhkecv05, &
+            o_d_tr_ds01, o_d_tr_ds02, o_d_tr_ds03, o_d_tr_ds04, o_d_tr_ds05, &
+            o_dhkelsc01, o_dhkelsc02, o_dhkelsc03, o_dhkelsc04, o_dhkelsc05, &
+            o_d_tr_sat01, o_d_tr_cv01, o_d_tr_cv02, o_d_tr_cv03, o_d_tr_cv04, o_d_tr_cv05, &
+            o_d_tr_trsp01, o_d_tr_trsp02, o_d_tr_trsp03, o_d_tr_trsp04, o_d_tr_trsp05, &
+            o_d_tr_sscav01, o_d_tr_sscav02, o_d_tr_sscav03, o_d_tr_sscav04, o_d_tr_sscav05, &
+            o_d_tr_sat02, o_d_tr_sat03, o_d_tr_sat04, o_d_tr_sat05, &
+            o_d_tr_uscav01, o_d_tr_uscav02, o_d_tr_uscav03, o_d_tr_uscav04, o_d_tr_uscav05, &
+            o_d_tr_insc01, o_d_tr_insc02, o_d_tr_insc03, o_d_tr_insc04, o_d_tr_insc05, &
+            o_d_tr_bcscav01, o_d_tr_bcscav02, o_d_tr_bcscav03, o_d_tr_bcscav04, o_d_tr_bcscav05, &
+            o_d_tr_evapls01, o_d_tr_evapls02, o_d_tr_evapls03, o_d_tr_evapls04, o_d_tr_evapls05, &
+            o_d_tr_ls01, o_d_tr_ls02, o_d_tr_ls03, o_d_tr_ls04, o_d_tr_ls05, &
+            o_d_tr_dyn01, o_d_tr_dyn02, o_d_tr_dyn03, o_d_tr_dyn04, o_d_tr_dyn05, &
+            o_d_tr_cl01, o_d_tr_cl02, o_d_tr_cl03, o_d_tr_cl04, o_d_tr_cl05, &
+            o_d_tr_th01, o_d_tr_th02, o_d_tr_th03, o_d_tr_th04, o_d_tr_th05, &
+            o_sed_ss, o_sed_dust, o_sed_dustsco, o_g2p_gas, o_g2p_aer, &
+            o_sed_ss3D, o_sed_dust3D, o_sed_dustsco3D, &
+            o_fluxbb, &
+            o_fluxff, o_fluxbcbb, o_fluxbcff, o_fluxbcnff, &
+            o_fluxbcba, o_fluxbc, o_fluxombb, o_fluxomff, &
+            o_fluxomnff, o_fluxomba, o_fluxomnat, o_fluxom, &
+            o_fluxh2sff, o_fluxh2snff, o_fluxso2ff, o_fluxso2nff, &
+            o_fluxso2bb, o_fluxso2vol, o_fluxso2ba, o_fluxso2, &
+            o_fluxso4ff, o_fluxso4nff, o_fluxso4bb, o_fluxso4ba, &
+            o_fluxso4, o_fluxdms, o_fluxh2sbio, o_fluxdustec, &
+            o_fluxddfine, o_fluxddcoa, o_fluxddsco, o_fluxdd, &
+            o_fluxssfine, o_fluxsscoa, o_fluxss, &
+            o_flux_sparam_ind, o_flux_sparam_bb, &
+            o_flux_sparam_ff, o_flux_sparam_ddfine, o_flux_sparam_ddcoa, &
+            o_flux_sparam_ddsco, o_flux_sparam_ssfine, o_flux_sparam_sscoa, &
+            o_u10m_ss, o_v10m_ss
+
+    !JE20150620>>
 
     USE phys_state_var_mod, ONLY: pctsrf, paire_ter, rain_fall, snow_fall, &
-         qsol, z0m, z0h, fevap, agesno, &
-         nday_rain, rain_con, snow_con, &
-         topsw, toplw, toplw0, swup, swdn, &
-         topsw0, swup0, swdn0, SWup200, SWup200clr, &
-         SWdn200, SWdn200clr, LWup200, LWup200clr, &
-         LWdn200, LWdn200clr, solsw, solsw0, sollw, &
-         radsol, sollw0, sollwdown, sollw, gustiness, &
-         sollwdownclr, lwdn0, ftsol, ustar, u10m, &
-         v10m, pbl_tke, wake_delta_pbl_TKE, &
-         wstar, cape, ema_pcb, ema_pct, &
-         ema_cbmf, Ma, fm_therm, ale_bl, alp_bl, ale, &
-         alp, cin, wake_pe, wake_s, wake_deltat, &
-         ale_wake, ale_bl_stat, &
-         wake_deltaq, ftd, fqd, ale_bl_trig, albsol1, &
-         rnebcon, wo, falb1, albsol2, coefh, clwcon0, &
-         ratqs, entr_therm, zqasc, detr_therm, f0, &
-         lwup, lwdn, lwup0, coefm, &
-         swupp, lwupp, swup0p, lwup0p, swdnp, lwdnp, &
-         swdn0p, lwdn0p, tnondef, O3sumSTD, uvsumSTD, &
-         vqsumSTD, vTsumSTD, O3daysumSTD, wqsumSTD, &
-         vphisumSTD, wTsumSTD, u2sumSTD, v2sumSTD, &
-         T2sumSTD, nlevSTD, &
-!        du_gwd_rando, dv_gwd_rando, &
-         ulevSTD, vlevSTD, wlevSTD, philevSTD, qlevSTD, tlevSTD, &
-         rhlevSTD, O3STD, O3daySTD, uvSTD, vqSTD, vTSTD, wqSTD, &
-         vphiSTD, wTSTD, u2STD, v2STD, T2STD, missing_val_nf90
+            qsol, z0m, z0h, fevap, agesno, &
+            nday_rain, rain_con, snow_con, &
+            topsw, toplw, toplw0, swup, swdn, &
+            topsw0, swup0, swdn0, SWup200, SWup200clr, &
+            SWdn200, SWdn200clr, LWup200, LWup200clr, &
+            LWdn200, LWdn200clr, solsw, solsw0, sollw, &
+            radsol, sollw0, sollwdown, sollw, gustiness, &
+            sollwdownclr, lwdn0, ftsol, ustar, u10m, &
+            v10m, pbl_tke, wake_delta_pbl_TKE, &
+            wstar, cape, ema_pcb, ema_pct, &
+            ema_cbmf, Ma, fm_therm, ale_bl, alp_bl, ale, &
+            alp, cin, wake_pe, wake_s, wake_deltat, &
+            ale_wake, ale_bl_stat, &
+            wake_deltaq, ftd, fqd, ale_bl_trig, albsol1, &
+            rnebcon, wo, falb1, albsol2, coefh, clwcon0, &
+            ratqs, entr_therm, zqasc, detr_therm, f0, &
+            lwup, lwdn, lwup0, coefm, &
+            swupp, lwupp, swup0p, lwup0p, swdnp, lwdnp, &
+            swdn0p, lwdn0p, tnondef, O3sumSTD, uvsumSTD, &
+            vqsumSTD, vTsumSTD, O3daysumSTD, wqsumSTD, &
+            vphisumSTD, wTsumSTD, u2sumSTD, v2sumSTD, &
+            T2sumSTD, nlevSTD, &
+            !        du_gwd_rando, dv_gwd_rando, &
+            ulevSTD, vlevSTD, wlevSTD, philevSTD, qlevSTD, tlevSTD, &
+            rhlevSTD, O3STD, O3daySTD, uvSTD, vqSTD, vTSTD, wqSTD, &
+            vphiSTD, wTSTD, u2STD, v2STD, T2STD, missing_val_nf90
 
     USE phys_local_var_mod, ONLY: zxfluxlat, slp, zxtsol, zt2m, &
-         t2m_min_mon, t2m_max_mon, evap, &
-         zu10m, zv10m, zq2m, zustar, zxqsurf, &
-         rain_lsc, snow_lsc, bils, sens, fder, &
-         zxffonte, zxfqcalving, zxfqfonte, fluxu, &
-         fluxv, zxsnow, qsnow, snowhgt, to_ice, &
-         sissnow, runoff, albsol3_lic, evap_pot, &
-         t2m, fluxt, fluxlat, fsollw, fsolsw, &
-         wfbils, cdragm, cdragh, cldl, cldm, &
-         cldh, cldt, JrNt, &
-         ! cldljn, cldmjn, cldhjn, cldtjn &
-         cldq, flwp, fiwp, ue, ve, uq, vq, &
-         plcl, plfc, wbeff, upwd, dnwd, dnwd0, prw, &
-         s_pblh, s_pblt, s_lcl, s_therm, uwriteSTD, &
-         vwriteSTD, wwriteSTD, phiwriteSTD, qwriteSTD, &
-         twriteSTD, alp_wake, wake_h, &
-         !ale_wake, &
-         wake_omg, d_t_wake, d_q_wake, Vprecip, &
-         wdtrainA, wdtrainM, n2, s2, proba_notrig, &
-         random_notrig, &
-         !ale_bl_stat, &
-         alp_bl_det, alp_bl_fluct_m, alp_bl_conv, &
-         alp_bl_stat, alp_bl_fluct_tke, slab_wfbils, &
-         weak_inversion, dthmin, cldtau, cldemi, &
-         pmflxr, pmflxs, prfl, psfl, re, fl, rh2m, &
-         qsat2m, tpote, tpot, d_ts, od550aer, &
-         od865aer, abs550aer, od550lt1aer, sconcso4, sconcno3, &
-         sconcoa, sconcbc, sconcss, sconcdust, concso4, concno3, &
-         concoa, concbc, concss, concdust, loadso4, &
-         loadoa, loadbc, loadss, loaddust, tausum_aero, &
-         topswad_aero, topswad0_aero, solswad_aero, &
-         solswad0_aero, topsw_aero, solsw_aero, &
-         topsw0_aero, solsw0_aero, topswcf_aero, &
-         solswcf_aero, topswai_aero, solswai_aero, &
-         toplwad_aero, toplwad0_aero, sollwad_aero, &
-         sollwad0_aero, toplwai_aero, sollwai_aero, &
-         !scdnc, cldncl, reffclws, reffclwc, cldnvi, &
-         !lcc, lcc3d, lcc3dcon, lcc3dstra, reffclwtop, &
-         ec550aer, flwc, fiwc, t_seri, theta, q_seri, &
-!jyg<
-!!         ql_seri, zphi, u_seri, v_seri, omega, cldfra, &
-         ql_seri, tr_seri, &
-         zphi, u_seri, v_seri, omega, cldfra, &
-!>jyg
-         rneb, rnebjn, zx_rh, d_t_dyn, d_q_dyn, &
-         d_u_dyn, d_v_dyn, d_t_con, d_t_ajsb, d_t_ajs, &
-         d_u_ajs, d_v_ajs, &
-         d_u_con, d_v_con, d_q_con, d_q_ajs, d_t_lsc, &
-         d_t_lwr,d_t_lw0,d_t_swr,d_t_sw0, &
-         d_t_eva, d_q_lsc, beta_prec, d_t_lscth, &
-         d_t_lscst, d_q_lscth, d_q_lscst, plul_th, &
-         plul_st, d_t_vdf, d_t_diss, d_q_vdf, d_q_eva, &
-         zw2, fraca, zmax_th, d_q_ajsb, d_t_ec, d_u_vdf, &
-         d_v_vdf, d_u_oro, d_v_oro, d_t_oro, d_u_lif, &
-         d_v_lif, d_t_lif, &
-!        d_u_hin, d_v_hin, d_t_hin, &
-         d_q_ch4, pmfd, pmfu, ref_liq, ref_ice, rhwriteSTD
+            t2m_min_mon, t2m_max_mon, evap, &
+            zu10m, zv10m, zq2m, zustar, zxqsurf, &
+            rain_lsc, snow_lsc, bils, sens, fder, &
+            zxffonte, zxfqcalving, zxfqfonte, fluxu, &
+            fluxv, zxsnow, qsnow, snowhgt, to_ice, &
+            sissnow, runoff, albsol3_lic, evap_pot, &
+            t2m, fluxt, fluxlat, fsollw, fsolsw, &
+            wfbils, cdragm, cdragh, cldl, cldm, &
+            cldh, cldt, JrNt, &
+            ! cldljn, cldmjn, cldhjn, cldtjn &
+            cldq, flwp, fiwp, ue, ve, uq, vq, &
+            plcl, plfc, wbeff, upwd, dnwd, dnwd0, prw, &
+            s_pblh, s_pblt, s_lcl, s_therm, uwriteSTD, &
+            vwriteSTD, wwriteSTD, phiwriteSTD, qwriteSTD, &
+            twriteSTD, alp_wake, wake_h, &
+            !ale_wake, &
+            wake_omg, d_t_wake, d_q_wake, Vprecip, &
+            wdtrainA, wdtrainM, n2, s2, proba_notrig, &
+            random_notrig, &
+            !ale_bl_stat, &
+            alp_bl_det, alp_bl_fluct_m, alp_bl_conv, &
+            alp_bl_stat, alp_bl_fluct_tke, slab_wfbils, &
+            weak_inversion, dthmin, cldtau, cldemi, &
+            pmflxr, pmflxs, prfl, psfl, re, fl, rh2m, &
+            qsat2m, tpote, tpot, d_ts, od550aer, &
+            od865aer, abs550aer, od550lt1aer, sconcso4, sconcno3, &
+            sconcoa, sconcbc, sconcss, sconcdust, concso4, concno3, &
+            concoa, concbc, concss, concdust, loadso4, &
+            loadoa, loadbc, loadss, loaddust, tausum_aero, &
+            topswad_aero, topswad0_aero, solswad_aero, &
+            solswad0_aero, topsw_aero, solsw_aero, &
+            topsw0_aero, solsw0_aero, topswcf_aero, &
+            solswcf_aero, topswai_aero, solswai_aero, &
+            toplwad_aero, toplwad0_aero, sollwad_aero, &
+            sollwad0_aero, toplwai_aero, sollwai_aero, &
+            !scdnc, cldncl, reffclws, reffclwc, cldnvi, &
+            !lcc, lcc3d, lcc3dcon, lcc3dstra, reffclwtop, &
+            ec550aer, flwc, fiwc, t_seri, theta, q_seri, &
+            !jyg<
+            !!         ql_seri, zphi, u_seri, v_seri, omega, cldfra, &
+            ql_seri, tr_seri, &
+            zphi, u_seri, v_seri, omega, cldfra, &
+            !>jyg
+            rneb, rnebjn, zx_rh, d_t_dyn, d_q_dyn, &
+            d_u_dyn, d_v_dyn, d_t_con, d_t_ajsb, d_t_ajs, &
+            d_u_ajs, d_v_ajs, &
+            d_u_con, d_v_con, d_q_con, d_q_ajs, d_t_lsc, &
+            d_t_lwr, d_t_lw0, d_t_swr, d_t_sw0, &
+            d_t_eva, d_q_lsc, beta_prec, d_t_lscth, &
+            d_t_lscst, d_q_lscth, d_q_lscst, plul_th, &
+            plul_st, d_t_vdf, d_t_diss, d_q_vdf, d_q_eva, &
+            zw2, fraca, zmax_th, d_q_ajsb, d_t_ec, d_u_vdf, &
+            d_v_vdf, d_u_oro, d_v_oro, d_t_oro, d_u_lif, &
+            d_v_lif, d_t_lif, &
+            !        d_u_hin, d_v_hin, d_t_hin, &
+            d_q_ch4, pmfd, pmfu, ref_liq, ref_ice, rhwriteSTD
 
     USE phys_output_var_mod, ONLY: vars_defined, snow_o, zfra_o, bils_diss, &
-         bils_ec,bils_ech, bils_tke, bils_kinetic, bils_latent, bils_enthalp, &
-         itau_con, nfiles, clef_files, nid_files, zvstr_gwd_rando, &
-         scdnc, cldncl, reffclws, reffclwc, cldnvi, &
-         lcc, lcc3d, lcc3dcon, lcc3dstra, reffclwtop
+            bils_ec, bils_ech, bils_tke, bils_kinetic, bils_latent, bils_enthalp, &
+            itau_con, nfiles, clef_files, nid_files, zvstr_gwd_rando, &
+            scdnc, cldncl, reffclws, reffclwc, cldnvi, &
+            lcc, lcc3d, lcc3dcon, lcc3dstra, reffclwtop
     USE ocean_slab_mod, ONLY: tslab, slab_bilg, tice, seaice
     USE pbl_surface_mod, ONLY: snow
@@ -386,5 +385,5 @@
     USE lmdz_geometry, ONLY: cell_area
     USE surface_data, ONLY: type_ocean, version_ocean, ok_veget, landice_opt
-!    USE aero_mod, ONLY: naero_spc
+    !    USE aero_mod, ONLY: naero_spc
     USE aero_mod, ONLY: naero_tot, id_STRAT_phy
     USE ioipsl, ONLY: histend, histsync
@@ -396,13 +395,13 @@
     USE phys_cal_mod, ONLY: mth_len
     USE lmdz_yomcst
+    USE lmdz_iniprint, ONLY: lunout, prt_level
 
     IMPLICIT NONE
 
-!   INCLUDE "temps.h"
+    !   INCLUDE "temps.h"
     INCLUDE "clesphys.h"
     INCLUDE "alpale.h"
     INCLUDE "compbl.h"
     INCLUDE "dimensions.h"
-    include "iniprint.h"
 
     ! Input
